View Issue Details

IDProjectCategoryView StatusLast Update
13424Bug reports[All Projects] Survey takingpublic2018-03-05 17:31
Reportertpartner Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.4.x 
Target Version3.4.xFixed in Version3.4.x 
Summary13424: JavaScript is displayed in email notifications
Description

Any JavaScript that is inserted in the question source is displayed in the notification emails - see attached screenshot.

This was not the case in 2.06.

Steps To Reproduce
  • Import attached survey.
  • Enter email address for "Send detailed admin notification email to:"
  • Activate and complete survey.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.4.2
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12-dev
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.27 (Win32) OpenSSL/1.0.2l PHP/7.1.9
PHP Version7.1.9

Activities

tpartner

tpartner

2018-02-27 14:36

developer  

limesurvey_survey_748898.lss (20,606 bytes)
capture-2.png (29,523 bytes)
capture-2.png (29,523 bytes)
ollehar

ollehar

2018-02-28 15:37

administrator   ~46842

JS is also visible in PDF participant print.

ollehar

ollehar

2018-02-28 16:14

administrator   ~46843

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26623

ollehar

ollehar

2018-03-01 15:40

administrator   ~46849

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26626

Related Changesets

LimeSurvey: master bc9c034f

2018-02-28 16:14:16

ollehar

Details Diff
Fixed issue 13424: JavaScript is displayed in email notifications Affected Issues
13424
mod - application/helpers/frontend_helper.php Diff File

LimeSurvey: master 7a2bf8b4

2018-03-01 15:40:34

ollehar

Details Diff
Fixed issue 13424: JavaScript is displayed in email notifications Affected Issues
13424
mod - application/controllers/PrintanswersController.php Diff File

Issue History

Date Modified Username Field Change
2018-02-27 14:36 tpartner New Issue
2018-02-27 14:36 tpartner File Added: limesurvey_survey_748898.lss
2018-02-27 14:36 tpartner File Added: capture-2.png
2018-02-28 15:37 ollehar Note Added: 46842
2018-02-28 16:14 ollehar Changeset attached => LimeSurvey master bc9c034f
2018-02-28 16:14 ollehar Note Added: 46843
2018-02-28 16:14 ollehar Assigned To => ollehar
2018-02-28 16:14 ollehar Resolution open => fixed
2018-03-01 15:40 ollehar Changeset attached => LimeSurvey master 7a2bf8b4
2018-03-01 15:40 ollehar Note Added: 46849
2018-03-01 15:41 ollehar Status new => resolved
2018-03-01 15:41 ollehar Fixed in Version => 3.4.x
2018-03-05 17:31 ollehar Status resolved => closed